Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Cleanup gemspec with some updated gems and other things

  • Loading branch information...
commit 9118f12b55e47af73c86e6dedfe877fd816a5b9d 1 parent 468552b
@darkhelmet darkhelmet authored
Showing with 7 additions and 17 deletions.
  1. +6 −7 rack-mongrel2.gemspec
  2. +1 −10 spec/spec_helper.rb
View
13 rack-mongrel2.gemspec
@@ -14,7 +14,7 @@ Gem::Specification.new do |s|
## the sub! line in the Rakefile
s.name = 'rack-mongrel2'
s.version = '0.2.1'
- s.date = '2010-11-28'
+ s.date = '2010-12-31'
s.rubyforge_project = 'rack-mongrel2'
## Make sure your summary is short. The description may be as long
@@ -40,14 +40,14 @@ Gem::Specification.new do |s|
## List your runtime dependencies here. Runtime dependencies are those
## that are needed for an end user to actually USE your code.
- s.add_dependency('ffi', ['~> 0.6.3'])
- s.add_dependency('ffi-rzmq', ['~> 0.6.0'])
+ s.add_dependency('ffi', ['~> 1.0.0'])
+ s.add_dependency('ffi-rzmq', ['~> 0.7.0'])
## List your development dependencies here. Development dependencies are
## those that are only needed during development
- s.add_development_dependency('rspec', ['~> 2.2.0'])
- s.add_development_dependency('fuubar', ['~> 0.0.2'])
- s.add_development_dependency('yard', ['~> 0.6.3'])
+ s.add_development_dependency('rspec', ['~> 2.3.0'])
+ s.add_development_dependency('fuubar', ['~> 0.0.3'])
+ s.add_development_dependency('yard', ['~> 0.6.4'])
## Leave this section as-is. It will be automatically generated from the
## contents of your Git repository via the gemspec task. DO NOT REMOVE
@@ -71,7 +71,6 @@ Gem::Specification.new do |s|
rack-mongrel2.gemspec
spec/request_spec.rb
spec/response_spec.rb
- spec/spec.opts
spec/spec_helper.rb
]
# = MANIFEST =
View
11 spec/spec_helper.rb
@@ -1,12 +1,3 @@
$LOAD_PATH.unshift(File.dirname(__FILE__))
$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))
-require 'mongrel2'
-require 'mongrel2/connection'
-require 'mongrel2/request'
-require 'mongrel2/response'
-require 'rspec'
-require 'rspec/autorun'
-
-RSpec.configure do |config|
-
-end
+require 'rspec'
Please sign in to comment.
Something went wrong with that request. Please try again.